[Overview][Classes][Index] | Reference for unit 'CustomTimer' (#lcl)

# TCustomTimer.Loaded

Performs actions needed when LCL component streaming has been completed.

## Declaration

Source position: customtimer.pas line 47

`protected procedure TCustomTimer.Loaded; override;`

## Description

Loaded is an overridden method in TCustomTimer. It calls the inherited method on entry to remove csLoading from the ComponentState property.

Loaded calls UpdateTimer to re-create the timer handle and signal event event handlers as needed for the Enabled property in the timer. An EOutOfResources exception is raised (in UpdateTimer) if a timer handle cannot be allocated in the widgetset class.

## See also

TCustomTimer.UpdateTimer |  | Updates the Timer to reflect the current properties.
TComponent.ComponentState